[cmucl-cvs] [git] CMU Common Lisp branch dynamic-stack-alloc updated. snapshot-2011-10-12-g8087064

Alex Goncharov agoncharov at common-lisp.net
Wed Oct 5 16:01:32 UTC 2011


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "CMU Common Lisp".

The branch, dynamic-stack-alloc has been updated
       via  808706413ed9702874c33a45c9e95a53a4bd7683 (commit)
       via  02a93933646d90d9fac2a18270ac20056e6d9b2d (commit)
       via  f5104e51646101b57917b49f5b80ea7bd2d2be57 (commit)
      from  bc39eee9d3a5ed53a519449ab9584f2e36ed26b2 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit 808706413ed9702874c33a45c9e95a53a4bd7683
Author: Alex Goncharov <agoncharov at common-lisp.net>
Date:   Wed Oct 5 10:16:35 2011 -0400

    FreeBSD: pull out BINDING_STACK_START, CONTROL_STACK_START

diff --git a/lisp/FreeBSD-os.c b/lisp/FreeBSD-os.c
index d3746f0..d3549d5 100644
--- a/lisp/FreeBSD-os.c
+++ b/lisp/FreeBSD-os.c
@@ -230,7 +230,7 @@ valid_addr(os_vm_address_t addr)
 #ifndef GENCGC
 	|| in_range_p(addr, DYNAMIC_1_SPACE_START, dynamic_space_size)
 #endif
-	|| in_range_p(addr, CONTROL_STACK_START, control_stack_size)
+	|| in_range_p(addr, control_stack, control_stack_size)
 	|| in_range_p(addr, binding_stack, binding_stack_size))
 	return TRUE;
     return FALSE;
diff --git a/lisp/x86-validate.h b/lisp/x86-validate.h
index a751154..4eb56b0 100644
--- a/lisp/x86-validate.h
+++ b/lisp/x86-validate.h
@@ -74,10 +74,7 @@
 #define STATIC_SPACE_START	(0x28f00000)
 #define STATIC_SPACE_SIZE	(0x0f0ff000)	/* 241MB - 1 page */
 
-#define BINDING_STACK_START	(0x38000000)
 #define BINDING_STACK_SIZE	(0x07fff000)	/* 128MB - 1 page */
-
-#define CONTROL_STACK_START	0x40000000
 #define CONTROL_STACK_SIZE	0x07fd8000	/* 128MB - SIGSTKSZ */
 #define SIGNAL_STACK_START	0x47fd8000
 #define SIGNAL_STACK_SIZE	SIGSTKSZ

commit 02a93933646d90d9fac2a18270ac20056e6d9b2d
Author: Alex Goncharov <agoncharov at common-lisp.net>
Date:   Wed Oct 5 08:48:36 2011 -0400

    FreeBSD-os.c: the changes similar to Linux-os.c

diff --git a/lisp/FreeBSD-os.c b/lisp/FreeBSD-os.c
index 7a06222..d3746f0 100644
--- a/lisp/FreeBSD-os.c
+++ b/lisp/FreeBSD-os.c
@@ -231,7 +231,7 @@ valid_addr(os_vm_address_t addr)
 	|| in_range_p(addr, DYNAMIC_1_SPACE_START, dynamic_space_size)
 #endif
 	|| in_range_p(addr, CONTROL_STACK_START, control_stack_size)
-	|| in_range_p(addr, BINDING_STACK_START, binding_stack_size))
+	|| in_range_p(addr, binding_stack, binding_stack_size))
 	return TRUE;
     return FALSE;
 }

commit f5104e51646101b57917b49f5b80ea7bd2d2be57
Author: Alex Goncharov <agoncharov at common-lisp.net>
Date:   Wed Oct 5 08:02:43 2011 -0400

    tools/create-target.sh: make it more robust, remove a CVS reference

diff --git a/tools/create-target.sh b/tools/create-target.sh
index d537171..3a3d9d3 100755
--- a/tools/create-target.sh
+++ b/tools/create-target.sh
@@ -17,14 +17,16 @@ usage() {
     ( cd src/lisp/ ; ls -1 Config.* ) | sed 's;^Config[.];;g' | \
 	    pr -3at -o 8
     echo "Possible Motif-variants:"
-    ( cd src/motif/server/ ; ls -1 Config.* ) | sed 's;^Config[.];;g' | \
-	    pr -3at -o 8
+    ( cd src/motif/server/ && ls -1 Config.* ) | sed 's;^Config[.];;g' | pr -3at -o 8
     exit 1
 }
 
+TARGET_DIR="$1"
+case $TARGET_DIR in build-*) :;; *) usage; exit 2;; esac
+[ -d $ "$TARGET_DIR" ] && echo "Error: Directory $1 exists already -- better remove it..." # && exit 2
+
 if [ $# = 1 ]; then
     # Only target directory given.  Try to deduce the lisp-variant
-    TARGET_DIR="$1"
     case `uname -s` in
     SunOS) 
 	case `uname -m` in
@@ -45,20 +47,15 @@ if [ $# = 1 ]; then
     esac
 elif [ $# = 2 ]; then
     # Target directory and lisp-variant given 
-    TARGET_DIR="$1"
     LISP_VARIANT="$2"
 elif [ $# = 3 ]; then
     # Target directory, lisp-variant, and motif variant given 
-    TARGET_DIR="$1"
     LISP_VARIANT="$2"
     MOTIF_VARIANT="$3"
 else
     usage
 fi
 
-[ -d $1 ] && echo "Error: Directory $1 exists already!" && exit 2
-
-TARGET="`echo $TARGET_DIR | sed 's:/*$::'`"
 
 # Make sure the given variants exist
 if [ ! -f src/lisp/Config.$LISP_VARIANT ]; then
@@ -93,14 +90,15 @@ echo "Lisp = $LISP_VARIANT"
 echo "Motif = $MOTIF_VARIANT"
 
 # Create a directory tree that mirrors the source directory tree
-find src -name 'CVS' -prune -o -type d -print \
-	| sed "s:^src:$TARGET:g" | xargs mkdir
+TARGET="`echo $TARGET_DIR | sed 's:/*$::'`"
+echo TARGET_DIR=$TARGET_DIR TARGET=$TARGET
+find -L src -type d -print | sed "s:^src:$TARGET:g" | xargs -t mkdir -p
 
 # Link Makefile and Config files
- 
-(cd $TARGET/lisp
- ln -s ../../src/lisp/GNUmakefile ../../src/lisp/Config.$LISP_VARIANT ../../src/lisp/Config.*_common .
- ln -s Config.$LISP_VARIANT Config
+(cd $TARGET/lisp && {
+	ln -s ../../src/lisp/GNUmakefile ../../src/lisp/Config.$LISP_VARIANT ../../src/lisp/Config.*_common .
+	ln -s Config.$LISP_VARIANT Config
+    } || { echo "Can't cd $TARGET/lisp"; exit 1; }
 )
 
 # Create empty initial map file

-----------------------------------------------------------------------

Summary of changes:
 lisp/FreeBSD-os.c      |    4 ++--
 lisp/x86-validate.h    |    3 ---
 tools/create-target.sh |   26 ++++++++++++--------------
 3 files changed, 14 insertions(+), 19 deletions(-)


hooks/post-receive
-- 
CMU Common Lisp




More information about the cmucl-cvs mailing list